#!/bin/bash
#Updated 21/3/2019

#Check Ubuntu version for this StarTracker variant
if [[ $(lsb_release -d | grep -c '18.04') == 1 ]]; then

   version=1804
   runtime="/home/martin/runtime"

elif [[ $(lsb_release -d | grep -c '14.04') == 1 ]]; then

   version=1404
   runtime="/home/martin/STracker/runtime"

else

   echo -e "Unknown Ubuntu version (expected 18.04 or 14.04):"
   lsb_release -d
   echo -e "Please contact support@mo-sys.com for help with this"
   exit 1

fi

if [ -f $runtime/bin/Stracker ]
then
echo Found Stracker
else
echo "Could not find Stracker"
exit 1
fi

if [ -f $runtime/lib/libFusionLib.a ]
then
echo Found libFusionLib
else
echo "Could not find libFusionLib"
exit 1
fi

if [ -f $runtime/lib/libStracker.a ]
then
echo Found libStracker folder
else
echo "Could not find libStracker folder"
exit 1
fi

#Handle Conrad Star Detector presence
if [ -f $runtime/lib/libblob_detector.so ]
then
 echo "Found libblob_detector in runtime/lib folder"
 have_csd=1
else
 echo "Could not find libblob_detector"
 have_csd=0
fi


echo Copying files from bin and lib folders to here...
cp -v -b $runtime/lib/libStracker.a  ./libStracker.a
cp -v -b $runtime/lib/libFusionLib.a ./libFusionLib.a
cp -v -b $runtime/lib/libGUInterfaceLib.a ./libGUInterfaceLib.a
if [ $have_csd == 1 ]; then
 cp -v -b $runtime/lib/libblob_detector.so ./libblob_detector.so
fi
cp -v -b -p $runtime/bin/Stracker    ./Stracker
echo Finished

exit 0
