#!/bin/bash

#
# Rename current folder based on StarTracker version contained within
#
# version 1  22.04.2020

#Get version
./Stracker -v

#Rename this folder accordingly
IS_ATOM=`grep -m 1 'Compilation Linux kernel =' ./Version.txt | grep -c 'upboard'`
IS_RELEASE=`grep -m 1 'IS_RELEASE:' ./Version.txt | grep -c '1'`
IS_VR=`grep -m 1 'IS_VR:' ./Version.txt | grep -c '1'`
CURRENT_FOLDER=${PWD##*/}

VERSION=`awk '/Git revision: / {
    match($0, /Git revision: /); print substr($0, RSTART + 14, 4);
}' ./Version.txt`

#echo ${IS_RELEASE}
#echo ${IS_VR}
#echo ${IS_ATOM}
#echo ${CURRENT_FOLDER}
#echo ${VERSION}

if [[ ${IS_VR} == 1 ]]; then
	NEW_NAME="${VERSION} VR"
else
	NEW_NAME="${VERSION} BC"
fi

if [[ ${IS_ATOM} == 1 ]]; then
	NEW_NAME="${NEW_NAME}A"
else
	NEW_NAME="${NEW_NAME}N"
fi

if [[ ${IS_RELEASE} == 1 ]]; then
	NEW_NAME="r$NEW_NAME"
else
	NEW_NAME="_$NEW_NAME"
fi

echo ${NEW_NAME}
rm -r "../${NEW_NAME}"
mv "../${CURRENT_FOLDER}" "../${NEW_NAME}"